Summary:	A fsguard plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka fsguard dla panelu Xfce
Name:		xfce4-fsguard-plugin
Version:	1.2.0
Release:	1
License:	BSD
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-fsguard-plugin/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	0d653783014e3be98477508dedb55a51
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-fsguard-plugin
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	libxfce4util-devel >= 4.16.0
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.14.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The fsguard plugin checks free space on a chosen mount point
frequently and displays an alarm if free space is less than given
alarm limit.

%description -l pl.UTF-8
Wtyczka fsguard sprawdza często wolne miejsce na wybranym punkcie
montowania i wyświetla alarm jeśli jest mniej miejsca niż zadany
limit.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.md
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libfsguard.so
%{_datadir}/xfce4/panel/plugins/fsguard.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%changelog
* Sat May 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-fsguard-plugin.git;a=log;h=master

* Sat May 24 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 114f0d8
- up to 1.2.0

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 649b16d
- up to 1.1.4

* Wed Apr 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9cace31
- up to 1.1.3

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5845769
- up to 1.1.2

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> f12448b
- up to 1.1.1

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> b6eeb7c
- up to 1.0.2

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 7595126
- x32 rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 14f27fa
- release 2 (by relup.sh)

* Wed Aug 15 2012 Jan Rękorajski <baggins@pld-linux.org> ef5d9b1
- Updated to 1.0.1
Upstream ported to libxfce4ui

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a0b1762
- release 3

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 38ffb1f
- rel 2
- port to libxfce4ui

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> ed206c1
- updated to 1.0.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 46c55b8
- Requires(post,postun): gtk-update-icon-cache

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> cb921de
- obsolete

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 20fdc7f
- updated to 0.4.2
- removed obsolete -locale-names.patch

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2f3dc55
- new

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 643c41c
- updated to 0.4.0
- added locale-names patch

* Tue Apr 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 60567ce
- pl

* Thu Apr 19 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 7629dae
- new

